mia-2dbinarycombine
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dbinarycombine

#### Sysnopis:

`mia-2dbinarycombine` {-1 `io`} {-2 `io`} {-o `io`} [ `options` ...]

#### Description:

This program is used to combine two binary images by some kind of operation.

#### Options:

-1, --file1=(input, required); io

  input mask image 1. For supported file types see Plugin type: 2dimage/io

-2, --file2=(input, required); io

  input mask image 2. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  output mask image. For supported file types see Plugin type: 2dimage/io

-p, --operation=nor; dict

  Operation to be applied

  or: | logocal or
  nor: | logocal nor
  and: | logocal and
  nand: | logocal nand
  xor: | logocal xor
  nxor: | logocal nxor

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Combine the binary images b1.png and b2.png by using the 'nor' operation and store the result in b1nor2.png.

    mia-2dbinarycombine -1 b1.png -2 b2.png -p nor -o b1nor2.png

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2davgmasked | Home | mia-2ddistance